import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  userId: z.boolean().optional(),
  siteKey: z.boolean().optional(),
  username: z.boolean().optional(),
  password: z.boolean().optional(),
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional()
}).strict();
export const InsuranceCredentialSelectObjectSchema: z.ZodType<Prisma.InsuranceCredentialSelect> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialSelect>;
export const InsuranceCredentialSelectObjectZodSchema = makeSchema();
